org.richfaces.taglib

## Class ScrollableDataTableTag

- java.lang.Object
- - javax.faces.webapp.UIComponentTagBase
  - - javax.faces.webapp.UIComponentClassicTagBase
    - - javax.faces.webapp.UIComponentELTag
      - - org.richfaces.webapp.taglib.UIComponentELTagBase
        - - org.ajax4jsf.webapp.taglib.UIComponentTagBase
          - - org.ajax4jsf.webapp.taglib.HtmlComponentTagBase
            - - org.richfaces.taglib.ScrollableDataTableTag

- All Implemented Interfaces:
    javax.servlet.jsp.tagext.BodyTag, javax.servlet.jsp.tagext.IterationTag, javax.servlet.jsp.tagext.JspIdConsumer, javax.servlet.jsp.tagext.JspTag, javax.servlet.jsp.tagext.Tag

      public class ScrollableDataTableTag
      extends org.ajax4jsf.webapp.taglib.HtmlComponentTagBase

- - ### Field Summary

    - ### Fields inherited from class javax.faces.webapp.UIComponentClassicTagBase

      `bodyContent, pageContext, UNIQUE_ID_PREFIX`

    - ### Fields inherited from interface javax.servlet.jsp.tagext.Tag

      `EVAL_BODY_INCLUDE, EVAL_PAGE, SKIP_BODY, SKIP_PAGE`

    - ### Fields inherited from interface javax.servlet.jsp.tagext.BodyTag

      `EVAL_BODY_BUFFERED, EVAL_BODY_TAG`

    - ### Fields inherited from interface javax.servlet.jsp.tagext.IterationTag

      `EVAL_BODY_AGAIN`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ScrollableDataTableTag()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getComponentType()`
    `java.lang.String` | `getRendererType()`
    `void` | `release()`
    `void` | `setActiveClass(javax.el.ValueExpression __activeClass)` A CSS class to be applied to an active row Setter for activeClass
    `void` | `setActiveRowKey(javax.el.ValueExpression __activeRowKey)` Request scope attribute under which the activeRowKey will be accessible Setter for activeRowKey
    `void` | `setAjaxKeys(javax.el.ValueExpression __ajaxKeys)` This attribute defines row keys that are updated after an AJAX request Setter for ajaxKeys
    `void` | `setBypassUpdates(javax.el.ValueExpression __bypassUpdates)` If "true", after process validations phase it skips updates of model beans on a force render response.
    `void` | `setColumnClasses(javax.el.ValueExpression __columnClasses)` Comma-delimited list of CSS style classes that are be applied to the columns of this table.
    `void` | `setComponentState(javax.el.ValueExpression __componentState)` It defines EL-binding for a component state for saving or redefinition Setter for componentState
    `void` | `setData(javax.el.ValueExpression __data)` Serialized (on default with JSON) data passed on the client by a developer on AJAX request.
    `void` | `setEventsQueue(javax.el.ValueExpression __eventsQueue)` Name of requests queue to avoid send next request before complete other from same event.
    `void` | `setFirst(javax.el.ValueExpression __first)` A zero-relative row number of the first row to display Setter for first
    `void` | `setFooterClass(javax.el.ValueExpression __footerClass)` Space-separated list of CSS style class(es) that are be applied to any footer generated for this table Setter for footerClass
    `void` | `setFrozenColCount(javax.el.ValueExpression __frozenColCount)` Defines the number of the fixed columns from the left side that will not be scrolled via horizontal scroll.
    `void` | `setHeaderClass(javax.el.ValueExpression __headerClass)` Space-separated list of CSS style class(es) that are be applied to any header generated for this table Setter for headerClass
    `void` | `setHeight(javax.el.ValueExpression __height)` Defines a height of the component.
    `void` | `setHideWhenScrolling(javax.el.ValueExpression __hideWhenScrolling)` If "true" data will be hidden during scrolling.
    `void` | `setIgnoreDupResponses(javax.el.ValueExpression __ignoreDupResponses)` Attribute allows to ignore an Ajax Response produced by a request if the newest 'similar' request is in a queue already. ignoreDupResponses="true" does not cancel the request while it is processed on the server, but just allows to avoid unnecessary updates on the client side if the response isn't actual now Setter for ignoreDupResponses
    `void` | `setOnRowClick(javax.el.ValueExpression __onRowClick)` HTML: a script expression; a pointer button is clicked on row Setter for onRowClick
    `void` | `setOnRowDblClick(javax.el.ValueExpression __onRowDblClick)` HTML: a script expression; a pointer button is double-clicked on row Setter for onRowDblClick
    `void` | `setOnRowMouseDown(javax.el.ValueExpression __onRowMouseDown)` HTML: script expression; a pointer button is pressed down on row Setter for onRowMouseDown
    `void` | `setOnRowMouseUp(javax.el.ValueExpression __onRowMouseUp)` HTML: script expression; a pointer button is released on row Setter for onRowMouseUp
    `void` | `setOnselectionchange(javax.el.ValueExpression __onselectionchange)` HTML: script expression to invoke on changing of rows selection Setter for onselectionchange
    `protected void` | `setProperties(javax.faces.component.UIComponent component)`
    `void` | `setRequestDelay(javax.el.ValueExpression __requestDelay)` Attribute defines the time (in ms.) that the request will be wait in the queue before it is ready to send.
    `void` | `setReRender(javax.el.ValueExpression __reRender)` Id['s] (in format of call UIComponent.findComponent()) of components, rendered in case of AjaxRequest caused by this component.
    `void` | `setRowClasses(javax.el.ValueExpression __rowClasses)` A comma-delimited list of CSS style classes that is applied to popup table rows.
    `void` | `setRowKeyConverter(javax.el.ValueExpression __rowKeyConverter)` Converter for a row key object Setter for rowKeyConverter
    `void` | `setRowKeyVar(java.lang.String __rowKeyVar)` The attribute provides access to a row key in a Request scope Setter for rowKeyVar
    `void` | `setRows(javax.el.ValueExpression __rows)` A number of rows to display, or zero for all remaining rows in the table Setter for rows
    `void` | `setScriptVar(java.lang.String __scriptVar)` Name of JavaScript variable corresponding to component Setter for scriptVar
    `void` | `setSelectedClass(javax.el.ValueExpression __selectedClass)` Name of the CSS class for a selected row Setter for selectedClass
    `void` | `setSelection(javax.el.ValueExpression __selection)` Value binding representing selected rows Setter for selection
    `void` | `setSelectionMode(javax.el.ValueExpression __selectionMode)` SelectionMode is an enumeration of the possible selection modes.
    `void` | `setSimilarityGroupingId(javax.el.ValueExpression __similarityGroupingId)` If there are any component requests with identical IDs then these requests will be grouped.
    `void` | `setSortMode(javax.el.ValueExpression __sortMode)` Defines mode of sorting.
    `void` | `setSortOrder(javax.el.ValueExpression __sortOrder)` ValueBinding pointing at a property of a class to manage rows sorting Setter for sortOrder
    `void` | `setStateVar(java.lang.String __stateVar)` The attribute provides access to a component state on the client side Setter for stateVar
    `void` | `setStatus(javax.el.ValueExpression __status)` ID (in format of call UIComponent.findComponent()) of Request status component Setter for status
    `void` | `setTimeout(javax.el.ValueExpression __timeout)` Response waiting time on a particular request.
    `void` | `setValue(javax.el.ValueExpression __value)` The current value for this component Setter for value
    `void` | `setVar(java.lang.String __var)` A request-scope attribute via which the data object for the current row will be used when iterating Setter for var
    `void` | `setWidth(javax.el.ValueExpression __width)` Defines a width of the component.

    - ### Methods inherited from class org.ajax4jsf.webapp.taglib.HtmlComponentTagBase

      `setDir, setLang, setOnclick, setOndblclick, setOnkeydown, setOnkeypress, setOnkeyup, setOnmousedown, setOnmousemove, setOnmouseout, setOnmouseover, setOnmouseup, setStyle, setStyleClass, setTitle`

    - ### Methods inherited from class org.ajax4jsf.webapp.taglib.UIComponentTagBase

      `getExpressionFactory, isValueReference, setActionListenerProperty, setActionProperty, setBooleanProperty, setBooleanProperty, setDoubleProperty, setDoubleProperty, setFloatProperty, setFloatProperty, setIntegerProperty, setIntegerProperty, setLongProperty, setLongProperty, setProperty, setProperty, setStringProperty, setStringProperty, setValueChangedListenerProperty, setValueProperty, setValueProperty`

    - ### Methods inherited from class org.richfaces.webapp.taglib.UIComponentELTagBase

      `setActionListenerProperty, setActionProperty, setConverterProperty, setRowKeyConverterProperty, setValidatorProperty, setValueChangeListenerProperty`

    - ### Methods inherited from class javax.faces.webapp.UIComponentELTag

      `createComponent, getELContext, hasBinding, setBinding, setRendered`

    - ### Methods inherited from class javax.faces.webapp.UIComponentClassicTagBase

      `addChild, addFacet, addVerbatimAfterComponent, addVerbatimBeforeComponent, createVerbatimComponent, createVerbatimComponentFromBodyContent, doAfterBody, doEndTag, doInitBody, doStartTag, encodeBegin, encodeChildren, encodeEnd, findComponent, getBodyContent, getComponentInstance, getCreated, getCreatedComponents, getDoAfterBodyValue, getDoEndValue, getDoStartValue, getFacesContext, getFacesJspId, getFacetName, getId, getIndexOfNextChildTag, getJspId, getParent, getParentUIComponentClassicTagBase, getPreviousOut, setBodyContent, setId, setJspId, setPageContext, setParent, setupResponseWriter`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface javax.servlet.jsp.tagext.Tag

      `doEndTag, doStartTag, getParent, setPageContext, setParent`

- - ### Constructor Detail

    - #### ScrollableDataTableTag

          public ScrollableDataTableTag()

  - ### Method Detail

    - #### setActiveClass

          public void setActiveClass(javax.el.ValueExpression __activeClass)

      A CSS class to be applied to an active row Setter for activeClass
      Parameters:
        `activeClass` - - new value

    - #### setActiveRowKey

          public void setActiveRowKey(javax.el.ValueExpression __activeRowKey)

      Request scope attribute under which the activeRowKey will be accessible Setter for activeRowKey
      Parameters:
        `activeRowKey` - - new value

    - #### setAjaxKeys

          public void setAjaxKeys(javax.el.ValueExpression __ajaxKeys)

      This attribute defines row keys that are updated after an AJAX request Setter for ajaxKeys
      Parameters:
        `ajaxKeys` - - new value

    - #### setBypassUpdates

          public void setBypassUpdates(javax.el.ValueExpression __bypassUpdates)

      If "true", after process validations phase it skips updates of model beans on a force render response. It can be used for validating components input Setter for bypassUpdates
      Parameters:
        `bypassUpdates` - - new value

    - #### setColumnClasses

          public void setColumnClasses(javax.el.ValueExpression __columnClasses)

      Comma-delimited list of CSS style classes that are be applied to the columns of this table. A space separated list of classes may also be specified for any individual column. If the number of elements in this list is less than the number of columns specified in the "columns" attribute, no "class" attribute is output for each column greater than the number of elements in the list. If the number of elements in the list is greater than the number of columns specified in the "columns" attribute, the elements at the position in the list after the value of the "columns" attribute are ignored Setter for columnClasses
      Parameters:
        `columnClasses` - - new value

    - #### setComponentState

          public void setComponentState(javax.el.ValueExpression __componentState)

      It defines EL-binding for a component state for saving or redefinition Setter for componentState
      Parameters:
        `componentState` - - new value

    - #### setData

          public void setData(javax.el.ValueExpression __data)

      Serialized (on default with JSON) data passed on the client by a developer on AJAX request. It's accessible via "data.foo" syntax Setter for data
      Parameters:
        `data` - - new value

    - #### setEventsQueue

          public void setEventsQueue(javax.el.ValueExpression __eventsQueue)

      Name of requests queue to avoid send next request before complete other from same event. Can be used to reduce number of requests of frequently events (key press, mouse move etc.) Setter for eventsQueue
      Parameters:
        `eventsQueue` - - new value

    - #### setFirst

          public void setFirst(javax.el.ValueExpression __first)

      A zero-relative row number of the first row to display Setter for first
      Parameters:
        `first` - - new value

    - #### setFooterClass

          public void setFooterClass(javax.el.ValueExpression __footerClass)

      Space-separated list of CSS style class(es) that are be applied to any footer generated for this table Setter for footerClass
      Parameters:
        `footerClass` - - new value

    - #### setFrozenColCount

          public void setFrozenColCount(javax.el.ValueExpression __frozenColCount)

      Defines the number of the fixed columns from the left side that will not be scrolled via horizontal scroll. Default value is "0". Setter for frozenColCount
      Parameters:
        `frozenColCount` - - new value

    - #### setHeaderClass

          public void setHeaderClass(javax.el.ValueExpression __headerClass)

      Space-separated list of CSS style class(es) that are be applied to any header generated for this table Setter for headerClass
      Parameters:
        `headerClass` - - new value

    - #### setHeight

          public void setHeight(javax.el.ValueExpression __height)

      Defines a height of the component. Default value is "500px". Setter for height
      Parameters:
        `height` - - new value

    - #### setHideWhenScrolling

          public void setHideWhenScrolling(javax.el.ValueExpression __hideWhenScrolling)

      If "true" data will be hidden during scrolling. Can be used for increase performance. Default value is "false". Setter for hideWhenScrolling
      Parameters:
        `hideWhenScrolling` - - new value

    - #### setIgnoreDupResponses

          public void setIgnoreDupResponses(javax.el.ValueExpression __ignoreDupResponses)

      Attribute allows to ignore an Ajax Response produced by a request if the newest 'similar' request is in a queue already. ignoreDupResponses="true" does not cancel the request while it is processed on the server, but just allows to avoid unnecessary updates on the client side if the response isn't actual now Setter for ignoreDupResponses
      Parameters:
        `ignoreDupResponses` - - new value

    - #### setOnRowClick

          public void setOnRowClick(javax.el.ValueExpression __onRowClick)

      HTML: a script expression; a pointer button is clicked on row Setter for onRowClick
      Parameters:
        `onRowClick` - - new value

    - #### setOnRowDblClick

          public void setOnRowDblClick(javax.el.ValueExpression __onRowDblClick)

      HTML: a script expression; a pointer button is double-clicked on row Setter for onRowDblClick
      Parameters:
        `onRowDblClick` - - new value

    - #### setOnRowMouseDown

          public void setOnRowMouseDown(javax.el.ValueExpression __onRowMouseDown)

      HTML: script expression; a pointer button is pressed down on row Setter for onRowMouseDown
      Parameters:
        `onRowMouseDown` - - new value

    - #### setOnRowMouseUp

          public void setOnRowMouseUp(javax.el.ValueExpression __onRowMouseUp)

      HTML: script expression; a pointer button is released on row Setter for onRowMouseUp
      Parameters:
        `onRowMouseUp` - - new value

    - #### setOnselectionchange

          public void setOnselectionchange(javax.el.ValueExpression __onselectionchange)

      HTML: script expression to invoke on changing of rows selection Setter for onselectionchange
      Parameters:
        `onselectionchange` - - new value

    - #### setReRender

          public void setReRender(javax.el.ValueExpression __reRender)

      Id['s] (in format of call UIComponent.findComponent()) of components, rendered in case of AjaxRequest caused by this component. Can be single id, comma-separated list of Id's, or EL Expression with array or Collection Setter for reRender
      Parameters:
        `reRender` - - new value

    - #### setRequestDelay

          public void setRequestDelay(javax.el.ValueExpression __requestDelay)

      Attribute defines the time (in ms.) that the request will be wait in the queue before it is ready to send. When the delay time is over, the request will be sent to the server or removed if the newest 'similar' request is in a queue already Setter for requestDelay
      Parameters:
        `requestDelay` - - new value

    - #### setRowClasses

          public void setRowClasses(javax.el.ValueExpression __rowClasses)

      A comma-delimited list of CSS style classes that is applied to popup table rows. A space separated list of classes may also be specified for any individual row. The styles are applied, in turn, to each row in the table. For example, if the list has two elements, the first style class in the list is applied to the first row, the second to the second row, the first to the third row, the second to the fourth row, etc. In other words, we keep iterating through the list until we reach the end, and then we start at the beginning again Setter for rowClasses
      Parameters:
        `rowClasses` - - new value

    - #### setRowKeyConverter

          public void setRowKeyConverter(javax.el.ValueExpression __rowKeyConverter)

      Converter for a row key object Setter for rowKeyConverter
      Parameters:
        `rowKeyConverter` - - new value

    - #### setRowKeyVar

          public void setRowKeyVar(java.lang.String __rowKeyVar)

      The attribute provides access to a row key in a Request scope Setter for rowKeyVar
      Parameters:
        `rowKeyVar` - - new value

    - #### setRows

          public void setRows(javax.el.ValueExpression __rows)

      A number of rows to display, or zero for all remaining rows in the table Setter for rows
      Parameters:
        `rows` - - new value

    - #### setScriptVar

          public void setScriptVar(java.lang.String __scriptVar)

      Name of JavaScript variable corresponding to component Setter for scriptVar
      Parameters:
        `scriptVar` - - new value

    - #### setSelectedClass

          public void setSelectedClass(javax.el.ValueExpression __selectedClass)

      Name of the CSS class for a selected row Setter for selectedClass
      Parameters:
        `selectedClass` - - new value

    - #### setSelection

          public void setSelection(javax.el.ValueExpression __selection)

      Value binding representing selected rows Setter for selection
      Parameters:
        `selection` - - new value

    - #### setSelectionMode

          public void setSelectionMode(javax.el.ValueExpression __selectionMode)

      SelectionMode is an enumeration of the possible selection modes. Default value is "multi" Setter for selectionMode
      Parameters:
        `selectionMode` - - new value

    - #### setSimilarityGroupingId

          public void setSimilarityGroupingId(javax.el.ValueExpression __similarityGroupingId)

      If there are any component requests with identical IDs then these requests will be grouped. Setter for similarityGroupingId
      Parameters:
        `similarityGroupingId` - - new value

    - #### setSortMode

          public void setSortMode(javax.el.ValueExpression __sortMode)

      Defines mode of sorting. Possible values are 'single' for sorting of one column and 'multi' for some. Setter for sortMode
      Parameters:
        `sortMode` - - new value

    - #### setSortOrder

          public void setSortOrder(javax.el.ValueExpression __sortOrder)

      ValueBinding pointing at a property of a class to manage rows sorting Setter for sortOrder
      Parameters:
        `sortOrder` - - new value

    - #### setStateVar

          public void setStateVar(java.lang.String __stateVar)

      The attribute provides access to a component state on the client side Setter for stateVar
      Parameters:
        `stateVar` - - new value

    - #### setStatus

          public void setStatus(javax.el.ValueExpression __status)

      ID (in format of call UIComponent.findComponent()) of Request status component Setter for status
      Parameters:
        `status` - - new value

    - #### setTimeout

          public void setTimeout(javax.el.ValueExpression __timeout)

      Response waiting time on a particular request. If a response is not received during this time, the request is aborted Setter for timeout
      Parameters:
        `timeout` - - new value

    - #### setValue

          public void setValue(javax.el.ValueExpression __value)

      The current value for this component Setter for value
      Parameters:
        `value` - - new value

    - #### setVar

          public void setVar(java.lang.String __var)

      A request-scope attribute via which the data object for the current row will be used when iterating Setter for var
      Parameters:
        `var` - - new value

    - #### setWidth

          public void setWidth(javax.el.ValueExpression __width)

      Defines a width of the component. Default value is "700px". Setter for width
      Parameters:
        `width` - - new value

    - #### release

          public void release()

      Specified by:
        `release` in interface `javax.servlet.jsp.tagext.Tag`
      Overrides:
        `release` in class `org.ajax4jsf.webapp.taglib.HtmlComponentTagBase`

    - #### setProperties

          protected void setProperties(javax.faces.component.UIComponent component)

      Overrides:
        `setProperties` in class `org.ajax4jsf.webapp.taglib.HtmlComponentTagBase`

    - #### getComponentType

          public java.lang.String getComponentType()

      Specified by:
        `getComponentType` in class `javax.faces.webapp.UIComponentTagBase`

    - #### getRendererType

          public java.lang.String getRendererType()

      Specified by:
        `getRendererType` in class `javax.faces.webapp.UIComponentTagBase`

Copyright © 2014. All Rights Reserved.